# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define reltag _opensuse_2
%define namedreltag -opensuse-2
%global namedversion %{version}%{?namedreltag}

%define section free

%define maven_version 2.6.1-opensuse-2

Name:           sun-istack-commons
Version:        2.6.1
Release:        9%{?reltag}%{?dist}
Epoch:          1
Summary:        Commons for JAXP, JAXB, SAAJ, and JAX-WS
License:        CDDL
Group:          Development/Java

%if %with mead
Source100: com.sun.istack-istack-commons-2.6.1-opensuse-2-sources.zip
Source101: com.sun.istack-istack-commons-2.6.1-opensuse-2-patches.zip
Source102: istack-commons-test-2.6.1-opensuse-2-sources.jar
Source103: istack-commons-test-2.6.1-opensuse-2.jar
Source104: istack-commons-test-2.6.1-opensuse-2.pom
Source105: istack-commons-2.6.1-opensuse-2.pom
Source106: istack-commons-2.6.1-opensuse-2-javadoc.jar
Source107: istack-commons-buildtools-2.6.1-opensuse-2.jar
Source108: istack-commons-buildtools-2.6.1-opensuse-2.pom
Source109: istack-commons-buildtools-2.6.1-opensuse-2-sources.jar
Source110: istack-commons-runtime-2.6.1-opensuse-2.jar
Source111: istack-commons-runtime-2.6.1-opensuse-2.pom
Source112: istack-commons-runtime-2.6.1-opensuse-2-sources.jar
Source113: istack-commons-tools-2.6.1-opensuse-2-sources.jar
Source114: istack-commons-tools-2.6.1-opensuse-2.jar
Source115: istack-commons-tools-2.6.1-opensuse-2.pom
%endif

URL:            https://istack-commons.dev.java.net
%if 0
rm -rf sun-istack-commons-2.6.1 sun-istack-commons-2.6.1.tar.bz2
svn -q export -r 151 https://svn.java.net/svn/istack-commons~svn/tags/istack-commons-2.6.1 sun-istack-commons-2.6.1 && \
tar cjf sun-istack-commons-2.6.1.tar.bz2 sun-istack-commons-2.6.1
%endif
#
Provides:       istack-commons = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       codemodel >= 0:2.4
#
Requires:       jpackage-utils
%if %without mead
Source0:        sun-istack-commons-2.6.1.tar.bz2
Patch0:         istack-commons-pom.patch
%endif
%if 0
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       istack-commons-buildtools = %{epoch}:%{version}-%{release}
Requires:       istack-commons-runtime = %{epoch}:%{version}-%{release}
Requires:       istack-commons-test = %{epoch}:%{version}-%{release}
Requires:       istack-commons-tools = %{epoch}:%{version}-%{release}
%endif
%if %without mead
Requires:       istack-commons-plugin = %{epoch}:%{version}-%{release}
%endif
%if %without mead
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  build-helper-maven-plugin
BuildRequires:  codemodel >= 0:2.4
BuildRequires:  dom4j
BuildRequires:  jboss-parent
BuildRequires:  junit
BuildRequires:  jvnet-parent
BuildRequires:  maven-shared-file-management
BuildRequires:  plexus-io
BuildRequires:  plexus-archiver
BuildRequires:  jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-plugin-ant
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JAXP, JAXB, SAAJ, and JAX-WS projects are often used together 
by other projects (such as Mustang, Glassfish, and JWSDP to 
name a few.) But at the same time, they are released 
independently, and those technolgoies don't necessarily 
have dependencies between them.

To promote code reuse between these projects, we host the 
common part in a separate project, so that when we ship 
individually, we can each carry istack-commons.jar, and when
we deliver together into another technology, we can reduce 
the footprint. 

%package -n istack-commons
Summary:        istack common utility code
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description -n istack-commons
istack common utility code.

%package -n istack-commons-buildtools
Summary:        istack-commons-buildtools
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.7.0
Requires:       codemodel >= 0:2.4

%description -n istack-commons-buildtools
istack-commons-buildtools.

%package -n istack-commons-runtime
Summary:        istack common utility code runtime
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}

%description -n istack-commons-runtime
istack common utility code runtime.

%package -n istack-commons-test
Summary:        istack common utility code test
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       ant-junit >= 0:1.7.0
Requires:       dom4j >= 0:1.6.1
Requires:       junit >= 0:3.8.1

%description -n istack-commons-test
istack common utility code test.

%package -n istack-commons-tools
Summary:        istack common utility code tools
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.7.0

%description -n istack-commons-tools
istack common utility code tools.

%if %without mead
%package -n istack-commons-plugin
Summary:        istack-commons Maven Mojo
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       istack-commons = %{epoch}:%{version}-%{release}
# XXX: maven-plugin-api
Requires:       maven2 >= 0:2.0
Requires:       maven-shared-file-management >= 0:1.2
Requires:       codemodel >= 0:2.4
# XXX: 1.0-alpha-9
Requires:       plexus-archiver >= 0:1.0
# XXX: 1.0-alpha-1
Requires:       plexus-io >= 0:1.0

%description -n istack-commons-plugin
istack-commons Maven Mojo.
%endif

%package javadoc
Summary:        Javadoc for istack-commons
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q
%{_bindir}/find -type f \( -name '*.jar' -or -name '*.zip' \) | %{_bindir}/xargs -t rm
%patch0 -p1 -b .sav0
%endif

%build
%if %without mead
export LC_ALL=en_US.UTF8
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=512M -Dproject.build.sourceEncoding=UTF8"
# FIXME: system is broken in our maven
export MAVEN_OPTS="${MAVEN_OPTS} -Xbootclasspath/p:%{java_home}/lib/tools.jar"
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate
%define prevversion 2.5-redhat-2
for d in `%{_bindir}/find maven2-brew -type d -name %{prevversion}`; do
    %{__mv} ${d}/* `/bin/echo ${d} | %{__sed} -e 's|%{prevversion}|%{namedversion}|;'`/
    %{__rm} -r ${d}/
done
%endif

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %without mead
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-buildtools/%{namedversion}/istack-commons-buildtools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-buildtools/%{namedversion}/istack-commons-buildtools-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-runtime/%{namedversion}/istack-commons-runtime-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-runtime/%{namedversion}/istack-commons-runtime-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-test/%{namedversion}/istack-commons-test-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-test/%{namedversion}/istack-commons-test-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-tools/%{namedversion}/istack-commons-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-tools/%{namedversion}/istack-commons-tools-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/istack/maven-istack-commons-plugin/%{namedversion}/maven-istack-commons-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/maven-istack-commons-plugin-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/istack/maven-istack-commons-plugin/%{namedversion}/maven-istack-commons-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/maven-istack-commons-plugin-%{namedversion}.jar
%else
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}.jar
%if %without mead
%{__cp} -p %{_sourcedir}/maven-istack-commons-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/maven-istack-commons-plugin-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/maven-istack-commons-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/maven-istack-commons-plugin-%{namedversion}.jar
%endif
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-buildtools/%{namedversion}/istack-commons-buildtools-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-buildtools.pom
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-runtime/%{namedversion}/istack-commons-runtime-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-runtime.pom
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-test/%{namedversion}/istack-commons-test-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-test.pom
%{__cp} -p maven2-brew/com/sun/istack/istack-commons-tools/%{namedversion}/istack-commons-tools-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-tools.pom
%{__cp} -p maven2-brew/com/sun/istack/istack-commons/%{namedversion}/istack-commons-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons.pom
%{__cp} -p maven2-brew/com/sun/istack/maven-istack-commons-plugin/%{namedversion}/maven-istack-commons-plugin-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-maven-istack-commons-plugin.pom
%else
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-buildtools.pom
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-runtime.pom
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-test.pom
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons-tools.pom
%{__cp} -p %{_sourcedir}/istack-commons-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-istack-commons.pom
%if %without mead
%{__cp} -p %{_sourcedir}/maven-istack-commons-plugin-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-maven-istack-commons-plugin.pom
%endif
%endif

# depmaps
%add_to_maven_depmap com.sun.istack istack-commons-buildtools %{namedversion} JPP istack-commons-buildtools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-buildtools
%add_to_maven_depmap com.sun.istack istack-commons-runtime %{namedversion} JPP istack-commons-runtime
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-runtime
%add_to_maven_depmap com.sun.istack istack-commons-test %{namedversion} JPP istack-commons-test
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-test
%add_to_maven_depmap com.sun.istack istack-commons-tools %{namedversion} JPP istack-commons-tools
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons-tools
%add_to_maven_depmap com.sun.istack istack-commons %{namedversion} JPP istack-commons
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/istack-commons
%if %without mead
%add_to_maven_depmap com.sun.istack maven-istack-commons-plugin %{namedversion} JPP maven-istack-commons-plugin
%endif

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/istack-commons-%{namedversion}
%if %without mead
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/istack-commons-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/istack-commons-%{namedversion}-javadoc.jar -d $RPM_BUILD_ROOT%{_javadocdir}/istack-commons-%{namedversion}/
%{__rm} -r $RPM_BUILD_ROOT%{_javadocdir}/istack-commons-%{namedversion}/META-INF
%endif
%{__ln_s} istack-commons-%{namedversion} %{buildroot}%{_javadocdir}/istack-commons

# repolib
%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post -n istack-commons
%update_maven_depmap

%postun -n istack-commons
%update_maven_depmap

%post -n istack-commons-buildtools
%update_maven_depmap

%postun -n istack-commons-buildtools
%update_maven_depmap

%post -n istack-commons-runtime
%update_maven_depmap

%postun -n istack-commons-runtime
%update_maven_depmap

%post -n istack-commons-test
%update_maven_depmap

%postun -n istack-commons-test
%update_maven_depmap

%post -n istack-commons-tools
%update_maven_depmap

%postun -n istack-commons-tools
%update_maven_depmap

%if %without mead
%post -n istack-commons-plugin
%update_maven_depmap

%postun -n istack-commons-plugin
%update_maven_depmap
%endif

%files
%defattr(0644,root,root,0755)
#
%{_mavenpomdir}/JPP-istack-commons.pom
%{_mavendepmapfragdir}/istack-commons
#
%{_javadir}*/istack-commons-buildtools-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-buildtools-sources.jar
%{_javadir}*/istack-commons-buildtools-%{namedversion}.jar
%{_javadir}*/istack-commons-buildtools.jar
%{_mavenpomdir}/JPP-istack-commons-buildtools.pom
%{_mavendepmapfragdir}/istack-commons-buildtools
#
%{_javadir}*/istack-commons-runtime-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-runtime-sources.jar
%{_javadir}*/istack-commons-runtime-%{namedversion}.jar
%{_javadir}*/istack-commons-runtime.jar
%{_mavenpomdir}/JPP-istack-commons-runtime.pom
%{_mavendepmapfragdir}/istack-commons-runtime
#
%{_javadir}*/istack-commons-test-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-test-sources.jar
%{_javadir}*/istack-commons-test-%{namedversion}.jar
%{_javadir}*/istack-commons-test.jar
%{_mavenpomdir}/JPP-istack-commons-test.pom
%{_mavendepmapfragdir}/istack-commons-test
#
%{_javadir}*/istack-commons-tools-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-tools-sources.jar
%{_javadir}*/istack-commons-tools-%{namedversion}.jar
%{_javadir}*/istack-commons-tools.jar
%{_mavenpomdir}/JPP-istack-commons-tools.pom
%{_mavendepmapfragdir}/istack-commons-tools
#

%files -n istack-commons
%defattr(0644,root,root,0755)
%if %without mead
%doc Licence.txt
%endif
%{_mavenpomdir}/JPP-istack-commons.pom
%{_mavendepmapfragdir}/istack-commons

%files -n istack-commons-buildtools
%defattr(0644,root,root,0755)
%{_javadir}*/istack-commons-buildtools-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-buildtools-sources.jar
%{_javadir}*/istack-commons-buildtools-%{namedversion}.jar
%{_javadir}*/istack-commons-buildtools.jar
%{_mavenpomdir}/JPP-istack-commons-buildtools.pom
%{_mavendepmapfragdir}/istack-commons-buildtools

%files -n istack-commons-runtime
%defattr(0644,root,root,0755)
%{_javadir}*/istack-commons-runtime-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-runtime-sources.jar
%{_javadir}*/istack-commons-runtime-%{namedversion}.jar
%{_javadir}*/istack-commons-runtime.jar
%{_mavenpomdir}/JPP-istack-commons-runtime.pom
%{_mavendepmapfragdir}/istack-commons-runtime

%files -n istack-commons-test
%defattr(0644,root,root,0755)
%{_javadir}*/istack-commons-test-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-test-sources.jar
%{_javadir}*/istack-commons-test-%{namedversion}.jar
%{_javadir}*/istack-commons-test.jar
%{_mavenpomdir}/JPP-istack-commons-test.pom
%{_mavendepmapfragdir}/istack-commons-test

%files -n istack-commons-tools
%defattr(0644,root,root,0755)
%{_javadir}*/istack-commons-tools-%{namedversion}-sources.jar
%{_javadir}*/istack-commons-tools-sources.jar
%{_javadir}*/istack-commons-tools-%{namedversion}.jar
%{_javadir}*/istack-commons-tools.jar
%{_mavenpomdir}/JPP-istack-commons-tools.pom
%{_mavendepmapfragdir}/istack-commons-tools

%if %without mead
%files -n istack-commons-plugin 
%defattr(0644,root,root,0755)
%{_javadir}*/maven-istack-commons-plugin-%{namedversion}-sources.jar
%{_javadir}*/maven-istack-commons-plugin-sources.jar
%{_javadir}*/maven-istack-commons-plugin-%{namedversion}.jar
%{_javadir}*/maven-istack-commons-plugin.jar
%{_mavenpomdir}/JPP-maven-istack-commons-plugin.pom
%{_mavendepmapfragdir}/istack-commons-plugin
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/istack-commons-%{namedversion}
%{_javadocdir}/istack-commons

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Oct 09 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-9
- duplicate files in main package
- add maven support to main package
- Provides: istack-commons in main package
- fix Epoch in changelog

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-8
- fix Requires
- update Group

* Wed Oct 03 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-7
- split packages

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-6_redhat_2.3
- Rebuild for MD5

* Thu Aug 16 2012 Paul Gier <pgier@redhat.com> - 1:2.6.1-5_redhat_2.3
- Update pom patch for eap 6.0.1 parent and boms

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-4_redhat_2.3
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-4_redhat_2.2
- Rebuild unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-4_redhat_1.1
- Rebuild unsigned

* Mon Jul 30 2012 Yong Yang <yyang@redhat.com> 1:2.6.1-4_redhat_1
- Push tags to Prod git
- Use commitId 5776b8dadb5d35b3cf2b085c8aaecb298f344ce0 which is the correct commitId for tag 2.6.1

* Fri Jul 27 2012 Fernando Nasser <fnasser@redhat.com> - 1:2.6.1-3_redhat_1.1
- Rebuild using cache signing

* Fri Jul 27 2012 Yong Yang <yyang@redhat.com> 1:2.6.1-3
- First Mead build
- Comment maven-plugin module

* Mon May 21 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-2
- mark ant optional in tools pom
- remove activation and stax-api from runtime pom (in Java 6)
- update tools jar version from 1.5 to 1.6 in tools pom 
- update Release line

* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 1:2.6.1-1
- 2.6.1
- recreate pom patch

* Wed Feb 23 2012 David Walluck <dwalluck@redhat.com> 1:2.5-0.1
- 2.5
- add repolib

* Sun Jul 17 2011 Ralph Apel <r.apel@r-apel.de> 1.0-3
- Fix for JPP6 and add parent pom

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.0-2
- Auto rebuild for JPackage 5 in mock

* Wed Apr 09 2008 Ralph Apel <r.apel at r-apel.de> - 1:1.0-1jpp
- 1.0 and bump epoch

* Tue Nov 27 2007 Ralph Apel <r.apel at r-apel.de> - 0:20070625-1jpp
- First release
